gnutls_openpgp_crt_get_key_id(3)

NAME
gnutls_openpgp_crt_get_key_id - Gets the keyID

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_get_key_id(gnutls_openpgp_crt_t key, gnutls_openpgp_keyid_t keyid);

ARGUMENTS

gnutls_openpgp_crt_t key
    the structure that contains the OpenPGP public key.

gnutls_openpgp_keyid_t keyid
    the buffer to save the keyid.

DESCRIPTION
Get key id string.

RETURNS
the 64-bit keyID of the OpenPGP key.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.